Validate electricity
curl --request POST \
--url https://api.sendpadi.com/api/v1/merchant/vas/electricity/validate \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"meterNumber": "***********78",
"planId": "ekedc_prepaid"
}
'const options = {
method: 'POST',
headers: {
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({meterNumber: '***********78', planId: 'ekedc_prepaid'})
};
fetch('https://api.sendpadi.com/api/v1/merchant/vas/electricity/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendpadi.com/api/v1/merchant/vas/electricity/validate"
payload = {
"meterNumber": "***********78",
"planId": "ekedc_prepaid"
}
headers = {
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Meter validated successfully with plan details",
"data": {
"customerName": "JOHN DOE",
"customerAddress": "*******",
"meterNumber": "***********78",
"provider": "EKEDC",
"electricityType": "PREPAID"
}
}{
"success": false,
"message": "The meter number you entered is invalid. Please check and try again.",
"error": "VALIDATION_FAILED",
"data": {}
}VAS (Bill payments)
Validate electricity
Verify a meter number against a disco plan before paying electricity. Scope: vas:read.
POST
/
api
/
v1
/
merchant
/
vas
/
electricity
/
validate
Validate electricity
curl --request POST \
--url https://api.sendpadi.com/api/v1/merchant/vas/electricity/validate \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '
{
"meterNumber": "***********78",
"planId": "ekedc_prepaid"
}
'const options = {
method: 'POST',
headers: {
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({meterNumber: '***********78', planId: 'ekedc_prepaid'})
};
fetch('https://api.sendpadi.com/api/v1/merchant/vas/electricity/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendpadi.com/api/v1/merchant/vas/electricity/validate"
payload = {
"meterNumber": "***********78",
"planId": "ekedc_prepaid"
}
headers = {
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Meter validated successfully with plan details",
"data": {
"customerName": "JOHN DOE",
"customerAddress": "*******",
"meterNumber": "***********78",
"provider": "EKEDC",
"electricityType": "PREPAID"
}
}{
"success": false,
"message": "The meter number you entered is invalid. Please check and try again.",
"error": "VALIDATION_FAILED",
"data": {}
}Validate before Pay electricity. Pick
plans[].planId from GET /vas/billers?category=electricity (Eko prepaid = ekedc_prepaid). No Idempotency-Key required.Authorizations
API key id (sp_test_… / sp_live_…)
Headers
Unix time in seconds
HMAC-SHA256 signature
Body
application/json
Slug from List billers → data.electricity.plans[].planId (e.g. ekedc_prepaid). Not the UUID id or providers.name.
Available options:
aedc_prepaid, aedc_postpaid, aple_prepaid, aple_postpaid, bedc_prepaid, bedc_postpaid, eedc_prepaid, eedc_postpaid, ekedc_prepaid, ekedc_postpaid, ibedc_prepaid, ibedc_postpaid, ikedc_prepaid, ikedc_postpaid, jed_prepaid, jed_postpaid, kaedco_prepaid, kaedco_postpaid, kedco_prepaid, kedco_postpaid, phed_prepaid, phed_postpaid, yedc_prepaid, yedc_postpaid Response
OK
The response is of type object.

